Subject: bug#74903: [PATCH] Add function to show table of keys when describing keymap variable

From: Stefan Monnier <[email-masked]>
Date: Mon, 16 Dec 2024 21:56:07 -0500

>> It'd be nice if users could opt in to have C-h v some-map RET show a
>> nice table of key bindings for that keymap.  I wrote a function that can
>> be added to help-fns-describe-variable-functions so that this happens.
>> 
>> What do you think?
>> 
>> Alternatively, we can also add a key binding to help-mode so that users
>> can easily "switch" from describe-variable to describe-keymap, e.g. per
>> "K":
>> 
>> 	C-h v message-mode-map RET K
>
> We have "C-h b" and "C-h m" which show the bindings, albeit not by
> keymap.  Is that not enough for some reason?

It's quite different, since his proposal is about displaying keymap
values held in variables (i.e. not necessarily currently active).

> Adding yet another help command related to key bindings needs to be
> justified, since we already have at least two with overlapping
> functionalities.

AFAICT his proposal does not add any new command (help or other).
What am I missing?

        Stefan